<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.third.iotaepproduct.mapper.ThirdIotAepProductMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="thirdIotAepProductResultMap" type="org.springblade.third.iotaepproduct.entity.ThirdIotAepProduct">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="update_user" property="updateUser"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="product_id" property="productId"/>
        <result column="third_id" property="thirdId"/>
        <result column="access_type" property="accessType"/>
        <result column="auth_type" property="authType"/>
        <result column="data_encryption" property="dataEncryption"/>
        <result column="device_model" property="deviceModel"/>
        <result column="encryption_type" property="encryptionType"/>
        <result column="endpoint_format" property="endpointFormat"/>
        <result column="lwm2m_edrx_time" property="lwm2mEdrxTime"/>
        <result column="manufacturer_id" property="manufacturerId"/>
        <result column="network_type" property="networkType"/>
        <result column="node_type" property="nodeType"/>
        <result column="payload_format" property="payloadFormat"/>
        <result column="power_model" property="powerModel"/>
        <result column="product_desc" property="productDesc"/>
        <result column="product_name" property="productName"/>
        <result column="product_protocol" property="productProtocol"/>
        <result column="product_type" property="productType"/>
        <result column="secondary_type" property="secondaryType"/>
        <result column="third_type" property="thirdType"/>
        <result column="tupIs_through" property="tupisThrough"/>
        <result column="tup_device_model" property="tupDeviceModel"/>
        <result column="platform" property="platform"/>
        <result column="api_key" property="apiKey"/>
        <result column="prefix" property="prefix"/>
        <result column="device_type" property="deviceType"/>
        <result column="manufacturers_no" property="manufacturersNo"/>
        <result column="device_specld" property="deviceSpecld"/>
    </resultMap>


    <select id="selectThirdIotAepProductPage" resultMap="thirdIotAepProductResultMap">
        select * from third_iot_aep_product where is_deleted = 0
    </select>

</mapper>
